﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace PDFViewerSample
{
	
	public partial class PDFViewerCustomToolbar_Phone : ContentPage
	{
        public PDFViewerCustomToolbar_Phone ()
		{
            InitializeComponent();
            initialize();
            
        }
      

        public void initialize()
        {
           

        }
        
        private async void SaveButton_Clicked(object sender, EventArgs e)
        {
            var stream = await pdfViewerControl.SaveDocumentAsync();
            string filePath = DependencyService.Get<ISave>().Save(stream as MemoryStream);
            string message = "The PDF has been saved to " + filePath;
            DependencyService.Get<IAlertView>().Show(message);
        }

        private void StampButton_Clicked(object sender, EventArgs e)
        {

            Image customImage = new Image();
            customImage.HeightRequest = 90;
            customImage.WidthRequest = 300;
            //For set .jpg image
            customImage.Source = "Image.jpg";
            //For set .png image
            //customImage.Source = "Approved.png";
            pdfViewerControl.AddStamp(customImage, pdfViewerControl.PageNumber, new Point(250, 400));         
        }
    }
}